Kubernetes 1.24

Kubernetes 1.24

Kubernetes a récemment annoncé qu'il abandonnerait Dockershim, le module sous-jacent qui permet la compatibilité entre Docker et Kubernetes, dans le cadre de la version v1.24. Cela signifie que les organisations devront migrer de Docker vers containerd ou CRI-O, qui sont les deux runtimes compatibles avec l'interface d'exécution de conteneur Kubernetes (CRI).

Datadog a constaté une augmentation de 6% de l'adoption des conteneurs cette année, ce qui est corrélé à une baisse de l'utilisation de Docker. Ces changements ont commencé peu de temps après l'annonce que Kubernetes allait déprécier Docker en tant qu'environnement d'exécution de conteneur.